[arch-commits] Commit in gawk/repos (6 files)

Allan McRae allan at archlinux.org
Wed Apr 4 05:15:56 EDT 2012


    Date: Wednesday, April 4, 2012 @ 05:15:56
  Author: allan
Revision: 155496

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gawk/repos/testing-i686/
  gawk/repos/testing-i686/PKGBUILD
    (from rev 155495, gawk/trunk/PKGBUILD)
  gawk/repos/testing-i686/gawk.install
    (from rev 155495, gawk/trunk/gawk.install)
  gawk/repos/testing-x86_64/
  gawk/repos/testing-x86_64/PKGBUILD
    (from rev 155495, gawk/trunk/PKGBUILD)
  gawk/repos/testing-x86_64/gawk.install
    (from rev 155495, gawk/trunk/gawk.install)

-----------------------------+
 testing-i686/PKGBUILD       |   41 +++++++++++++++++++++++++++++++++++++++++
 testing-i686/gawk.install   |   22 ++++++++++++++++++++++
 testing-x86_64/PKGBUILD     |   41 +++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/gawk.install |   22 ++++++++++++++++++++++
 4 files changed, 126 insertions(+)

Copied: gawk/repos/testing-i686/PKGBUILD (from rev 155495, gawk/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-04-04 09:15:56 UTC (rev 155496)
@@ -0,0 +1,41 @@
+# $Id$
+# Maintainer:
+# Contributor: Tom Newsom <Jeepster at gmx.co.uk>
+
+pkgname=gawk
+pkgver=4.0.1
+pkgrel=1
+pkgdesc="GNU version of awk"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/directory/GNU/gawk.html"
+license=('GPL')
+groups=('base')
+depends=('sh' 'glibc')
+provides=('awk')
+install=gawk.install
+source=(ftp://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz{,.sig})
+md5sums=('bab2bda483e9f32be65b43b8dab39fa5'
+         '7cf4e4896509c655dd00ecd4ca9098ef')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  ./configure --prefix=/usr --libexecdir=/usr/lib
+  make 
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  make DESTDIR=${pkgdir} install
+
+  install -dm755 ${pkgdir}/bin 
+  ln -sf /usr/bin/gawk ${pkgdir}/bin/
+  ln -sf gawk ${pkgdir}/bin/awk
+}

Copied: gawk/repos/testing-i686/gawk.install (from rev 155495, gawk/trunk/gawk.install)
===================================================================
--- testing-i686/gawk.install	                        (rev 0)
+++ testing-i686/gawk.install	2012-04-04 09:15:56 UTC (rev 155496)
@@ -0,0 +1,22 @@
+infodir=usr/share/info
+filelist=(gawk.info.gz gawkinet.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Copied: gawk/repos/testing-x86_64/PKGBUILD (from rev 155495, gawk/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-04-04 09:15:56 UTC (rev 155496)
@@ -0,0 +1,41 @@
+# $Id$
+# Maintainer:
+# Contributor: Tom Newsom <Jeepster at gmx.co.uk>
+
+pkgname=gawk
+pkgver=4.0.1
+pkgrel=1
+pkgdesc="GNU version of awk"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/directory/GNU/gawk.html"
+license=('GPL')
+groups=('base')
+depends=('sh' 'glibc')
+provides=('awk')
+install=gawk.install
+source=(ftp://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz{,.sig})
+md5sums=('bab2bda483e9f32be65b43b8dab39fa5'
+         '7cf4e4896509c655dd00ecd4ca9098ef')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  ./configure --prefix=/usr --libexecdir=/usr/lib
+  make 
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  make DESTDIR=${pkgdir} install
+
+  install -dm755 ${pkgdir}/bin 
+  ln -sf /usr/bin/gawk ${pkgdir}/bin/
+  ln -sf gawk ${pkgdir}/bin/awk
+}

Copied: gawk/repos/testing-x86_64/gawk.install (from rev 155495, gawk/trunk/gawk.install)
===================================================================
--- testing-x86_64/gawk.install	                        (rev 0)
+++ testing-x86_64/gawk.install	2012-04-04 09:15:56 UTC (rev 155496)
@@ -0,0 +1,22 @@
+infodir=usr/share/info
+filelist=(gawk.info.gz gawkinet.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list